adn2do (App.net to Day One)
===

adn2do is a Node.js application that imports App.net posts into Day One after they have been pre-processed by IFTTT.

Dependencies
---

- [Node.js](http://nodejs.org) for Mac
- [Day One](http://dayoneapp.com/) for Mac
- [Day One CLI](http://dayoneapp.com/tools/) for Mac
- [Dropbox](http://dropbox.com)
- [IFTTT](http://ifttt.com)
- [App.net to Day One IFTTT Recipe](https://ifttt.com/recipes/54353)
- [App.net](http://app.net)

Usage
---

`./adn2do/bin/adn2do`

Introduction
---

This script parses the files generated by the IFTTT recipe above and passes the parsed data through the Day One CLI. It keeps track of the processed posts through the use of a configuration file (`~/.adn2do`) in the user's home directory on their Mac. In theory this could be applied to Twitter posts as well.

If you would like to run adn2do at intervals throughout the day you could potentially utilize iCal's *Run script* alarm. More information can be viewed here: [http://www.tuaw.com/2008/04/14/mac-101-schedule-your-scripts/](http://www.tuaw.com/2008/04/14/mac-101-schedule-your-scripts/).

Important
---

If the configuration file `~/.adn2do` is somehow truncated the script will attempt to import *all* of your posts over again. Ensure you keep backups of your Day One journal. Backups can be generated automatically by Day One.

Options
---

If you alter the code in adn2do/bin/adn2do you can pass in various options:

- `alterPost`: a method that will alter the post prior to passing it onto the Day One CLI. I personally use this method to add hashtags (#adnpost) prior to creating a Day One entry. The method takes a single argument, a `Post` object. The `Post` object has four properties (`message`, `link`, `via`, and `date`) and two methods (`key` and `dayOneEntry`). You should not override the `key` method when altering the post. (default: `undefined`)
- `configPath`: You can assign a new path to the adn2do configuration file, this must be the full path to the file itself, not the directly it resides in. (e.g. `/Users/mbrio/.adn2do`). The paths specified are not expanded so the use of `~` for a user's home directory is forbidden. (default: `/Users/{username}/.adn2do`)
- `dayonePath`: The full path to the Day One CLI. (default: `/usr/local/bin/dayone`)
- `postsPath`: The full path to the directory the IFTTT processed files reside. (default: `/Users/{username}/Dropbox/adn2do`)

Todo
---

- Support downloading and attaching images to Day One entries.
- Remove the IFTTT and Dropbox dependencies by connecting directly to App.net

License
---
Copyright (c) 2012 Michael Diolosa <[michaeldiolosa@icloud.com](michaeldiolosa@icloud.com)>

The adn2do application is licensed under the [MIT license](http://opensource.org/licenses/MIT).